Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class SimpleInstrument

    java.lang.Object
      javax.sound.midi.SoundbankResource
          javax.sound.midi.Instrument
              com.sun.media.sound.ModelInstrument
                  com.sun.media.sound.SimpleInstrument

    public class SimpleInstrument

extends ModelInstrument

A simple instrument that is made of other ModelInstrument, ModelPerformer objects.

Author:
  Karl Helgason

Constructor Summary
`SimpleInstrument()`

Method Summary
`void` | `add(ModelInstrument ins)`
`void` | `add(ModelInstrument ins, int keyFrom, int keyTo)`
`void` | `add(ModelInstrument ins, int keyFrom, int keyTo, int velFrom, int velTo)`
`void` | `add(ModelInstrument ins, int keyFrom, int keyTo, int velFrom, int velTo, int exclusiveClass)`
`void` | `add(ModelPerformer performer)`
`void` | `add(ModelPerformer[] performers)`
`void` | `add(ModelPerformer[] performers, int keyFrom, int keyTo)`
`void` | `add(ModelPerformer[] performers, int keyFrom, int keyTo, int velFrom, int velTo)`
`void` | `add(ModelPerformer[] performers, int keyFrom, int keyTo, int velFrom, int velTo, int exclusiveClass)`
`void` | `add(ModelPerformer performer, int keyFrom, int keyTo)`
`void` | `add(ModelPerformer performer, int keyFrom, int keyTo, int velFrom, int velTo)`
`void` | `add(ModelPerformer performer, int keyFrom, int keyTo, int velFrom, int velTo, int exclusiveClass)`
`void` | `clear()`
`java.lang.Object` | `getData()`
`java.lang.String` | `getName()`
`ModelPatch` | `getPatch()`
`ModelPerformer[]` | `getPerformers()`
`void` | `setName(java.lang.String name)`
`void` | `setPatch(javax.sound.midi.Patch patch)`

Methods inherited from class com.sun.media.sound.ModelInstrument
`getChannelMixer, getChannels, getDirector, getKeys, getPatchAlias`

Methods inherited from class javax.sound.midi.SoundbankResource
`getDataClass, getSoundbank`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleInstrument

    public SimpleInstrument()

Method Detail

### clear

    public void clear()

### add

    public void add(ModelPerformer[] performers,
                    int keyFrom,
                    int keyTo,
                    int velFrom,
                    int velTo,
                    int exclusiveClass)

### add

    public void add(ModelPerformer[] performers,
                    int keyFrom,
                    int keyTo,
                    int velFrom,
                    int velTo)

### add

    public void add(ModelPerformer[] performers,
                    int keyFrom,
                    int keyTo)

### add

    public void add(ModelPerformer[] performers)

### add

    public void add(ModelPerformer performer,
                    int keyFrom,
                    int keyTo,
                    int velFrom,
                    int velTo,
                    int exclusiveClass)

### add

    public void add(ModelPerformer performer,
                    int keyFrom,
                    int keyTo,
                    int velFrom,
                    int velTo)

### add

    public void add(ModelPerformer performer,
                    int keyFrom,
                    int keyTo)

### add

    public void add(ModelPerformer performer)

### add

    public void add(ModelInstrument ins,
                    int keyFrom,
                    int keyTo,
                    int velFrom,
                    int velTo,
                    int exclusiveClass)

### add

    public void add(ModelInstrument ins,
                    int keyFrom,
                    int keyTo,
                    int velFrom,
                    int velTo)

### add

    public void add(ModelInstrument ins,
                    int keyFrom,
                    int keyTo)

### add

    public void add(ModelInstrument ins)

### getPerformers

    public ModelPerformer[] getPerformers()

  Overrides:
    `getPerformers` in class `ModelInstrument`

### getData

    public java.lang.Object getData()

  Specified by:
    `getData` in class `javax.sound.midi.SoundbankResource`

### getName

    public java.lang.String getName()

  Overrides:
    `getName` in class `javax.sound.midi.SoundbankResource`

### setName

    public void setName(java.lang.String name)

### getPatch

    public ModelPatch getPatch()

  Overrides:
    `getPatch` in class `javax.sound.midi.Instrument`

### setPatch

    public void setPatch(javax.sound.midi.Patch patch)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD